File:  [ELWIX - Embedded LightWeight unIX -] / embedaddon / dhcp / Makefile.in
Revision 1.1: download - view: text, annotated - select for diffs - revision graph
Tue Feb 21 22:30:18 2012 UTC (12 years, 4 months ago) by misho
CVS tags: MAIN, HEAD
Initial revision

    1: # Makefile.in generated by automake 1.10.1 from Makefile.am.
    2: # @configure_input@
    3: 
    4: # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
    5: # 2003, 2004, 2005, 2006, 2007, 2008  Free Software Foundation, Inc.
    6: # This Makefile.in is free software; the Free Software Foundation
    7: # gives unlimited permission to copy and/or distribute it,
    8: # with or without modifications, as long as this notice is preserved.
    9: 
   10: # This program is distributed in the hope that it will be useful,
   11: # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
   12: # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
   13: # PARTICULAR PURPOSE.
   14: 
   15: @SET_MAKE@
   16: 
   17: VPATH = @srcdir@
   18: pkgdatadir = $(datadir)/@PACKAGE@
   19: pkglibdir = $(libdir)/@PACKAGE@
   20: pkgincludedir = $(includedir)/@PACKAGE@
   21: am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
   22: install_sh_DATA = $(install_sh) -c -m 644
   23: install_sh_PROGRAM = $(install_sh) -c
   24: install_sh_SCRIPT = $(install_sh) -c
   25: INSTALL_HEADER = $(INSTALL_DATA)
   26: transform = $(program_transform_name)
   27: NORMAL_INSTALL = :
   28: PRE_INSTALL = :
   29: POST_INSTALL = :
   30: NORMAL_UNINSTALL = :
   31: PRE_UNINSTALL = :
   32: POST_UNINSTALL = :
   33: subdir = .
   34: DIST_COMMON = README $(am__configure_deps) $(nobase_include_HEADERS) \
   35: 	$(srcdir)/Makefile.am $(srcdir)/Makefile.in \
   36: 	$(top_srcdir)/configure depcomp install-sh missing
   37: ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
   38: am__aclocal_m4_deps = $(top_srcdir)/configure.ac
   39: am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
   40: 	$(ACLOCAL_M4)
   41: am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
   42:  configure.lineno config.status.lineno
   43: mkinstalldirs = $(install_sh) -d
   44: CONFIG_HEADER = $(top_builddir)/includes/config.h
   45: CONFIG_CLEAN_FILES =
   46: SOURCES =
   47: DIST_SOURCES =
   48: RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
   49: 	html-recursive info-recursive install-data-recursive \
   50: 	install-dvi-recursive install-exec-recursive \
   51: 	install-html-recursive install-info-recursive \
   52: 	install-pdf-recursive install-ps-recursive install-recursive \
   53: 	installcheck-recursive installdirs-recursive pdf-recursive \
   54: 	ps-recursive uninstall-recursive
   55: am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
   56: am__vpath_adj = case $$p in \
   57:     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
   58:     *) f=$$p;; \
   59:   esac;
   60: am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
   61: am__installdirs = "$(DESTDIR)$(includedir)"
   62: nobase_includeHEADERS_INSTALL = $(install_sh_DATA)
   63: HEADERS = $(nobase_include_HEADERS)
   64: RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
   65:   distclean-recursive maintainer-clean-recursive
   66: ETAGS = etags
   67: CTAGS = ctags
   68: DIST_SUBDIRS = $(SUBDIRS)
   69: DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
   70: distdir = $(PACKAGE)-$(VERSION)
   71: top_distdir = $(distdir)
   72: am__remove_distdir = \
   73:   { test ! -d $(distdir) \
   74:     || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
   75:          && rm -fr $(distdir); }; }
   76: DIST_ARCHIVES = $(distdir).tar.gz
   77: GZIP_ENV = --best
   78: distuninstallcheck_listfiles = find . -type f -print
   79: distcleancheck_listfiles = find . -type f -print
   80: ACLOCAL = @ACLOCAL@
   81: AMTAR = @AMTAR@
   82: AUTOCONF = @AUTOCONF@
   83: AUTOHEADER = @AUTOHEADER@
   84: AUTOMAKE = @AUTOMAKE@
   85: AWK = @AWK@
   86: CC = @CC@
   87: CCDEPMODE = @CCDEPMODE@
   88: CFLAGS = @CFLAGS@
   89: CPP = @CPP@
   90: CPPFLAGS = @CPPFLAGS@
   91: CYGPATH_W = @CYGPATH_W@
   92: DEFS = @DEFS@
   93: DEPDIR = @DEPDIR@
   94: ECHO_C = @ECHO_C@
   95: ECHO_N = @ECHO_N@
   96: ECHO_T = @ECHO_T@
   97: EGREP = @EGREP@
   98: EXEEXT = @EXEEXT@
   99: GREP = @GREP@
  100: INSTALL = @INSTALL@
  101: INSTALL_DATA = @INSTALL_DATA@
  102: INSTALL_PROGRAM = @INSTALL_PROGRAM@
  103: INSTALL_SCRIPT = @INSTALL_SCRIPT@
  104: INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  105: LDFLAGS = @LDFLAGS@
  106: LIBOBJS = @LIBOBJS@
  107: LIBS = @LIBS@
  108: LTLIBOBJS = @LTLIBOBJS@
  109: MAINT = @MAINT@
  110: MAKEINFO = @MAKEINFO@
  111: MKDIR_P = @MKDIR_P@
  112: OBJEXT = @OBJEXT@
  113: PACKAGE = @PACKAGE@
  114: PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  115: PACKAGE_NAME = @PACKAGE_NAME@
  116: PACKAGE_STRING = @PACKAGE_STRING@
  117: PACKAGE_TARNAME = @PACKAGE_TARNAME@
  118: PACKAGE_URL = @PACKAGE_URL@
  119: PACKAGE_VERSION = @PACKAGE_VERSION@
  120: PATH_SEPARATOR = @PATH_SEPARATOR@
  121: RANLIB = @RANLIB@
  122: SET_MAKE = @SET_MAKE@
  123: SHELL = @SHELL@
  124: STRIP = @STRIP@
  125: VERSION = @VERSION@
  126: abs_builddir = @abs_builddir@
  127: abs_srcdir = @abs_srcdir@
  128: abs_top_builddir = @abs_top_builddir@
  129: abs_top_srcdir = @abs_top_srcdir@
  130: ac_ct_CC = @ac_ct_CC@
  131: ac_prefix_program = @ac_prefix_program@
  132: am__include = @am__include@
  133: am__leading_dot = @am__leading_dot@
  134: am__quote = @am__quote@
  135: am__tar = @am__tar@
  136: am__untar = @am__untar@
  137: bindir = @bindir@
  138: build_alias = @build_alias@
  139: builddir = @builddir@
  140: byte_order = @byte_order@
  141: datadir = @datadir@
  142: datarootdir = @datarootdir@
  143: docdir = @docdir@
  144: dvidir = @dvidir@
  145: exec_prefix = @exec_prefix@
  146: host_alias = @host_alias@
  147: htmldir = @htmldir@
  148: includedir = @includedir@
  149: infodir = @infodir@
  150: install_sh = @install_sh@
  151: libdir = @libdir@
  152: libexecdir = @libexecdir@
  153: localedir = @localedir@
  154: localstatedir = @localstatedir@
  155: mandir = @mandir@
  156: mkdir_p = @mkdir_p@
  157: oldincludedir = @oldincludedir@
  158: pdfdir = @pdfdir@
  159: prefix = @prefix@
  160: program_transform_name = @program_transform_name@
  161: psdir = @psdir@
  162: sbindir = @sbindir@
  163: sharedstatedir = @sharedstatedir@
  164: srcdir = @srcdir@
  165: sysconfdir = @sysconfdir@
  166: target_alias = @target_alias@
  167: top_build_prefix = @top_build_prefix@
  168: top_builddir = @top_builddir@
  169: top_srcdir = @top_srcdir@
  170: 
  171: #
  172: # We have a lot of files that we want shipped with the distribution.
  173: #
  174: EXTRA_DIST = RELNOTES LICENSE \
  175: 	     contrib/3.0b1-lease-convert contrib/dhclient-tz-exithook.sh \
  176: 	     contrib/dhcp.spec contrib/sethostname.sh contrib/solaris.init \
  177: 	     contrib/ms2isc/Registry.pm contrib/ms2isc/ms2isc.pl \
  178: 	     contrib/ms2isc/readme.txt \
  179: 	     doc/IANA-arp-parameters doc/Makefile doc/References.html \
  180: 	     doc/References.txt doc/References.xml doc/api+protocol \
  181: 	     doc/ja_JP.eucJP/dhclient-script.8 doc/ja_JP.eucJP/dhclient.8 \
  182: 	     doc/ja_JP.eucJP/dhclient.conf.5 doc/ja_JP.eucJP/dhclient.leases.5 \
  183: 	     doc/ja_JP.eucJP/dhcp-eval.5 doc/ja_JP.eucJP/dhcp-options.5 \
  184: 	     doc/examples/dhclient-dhcpv6.conf doc/examples/dhcpd-dhcpv6.conf
  185: 
  186: SUBDIRS = includes tests common minires dst omapip client dhcpctl relay server
  187: nobase_include_HEADERS = dhcpctl/dhcpctl.h
  188: all: all-recursive
  189: 
  190: .SUFFIXES:
  191: am--refresh:
  192: 	@:
  193: $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
  194: 	@for dep in $?; do \
  195: 	  case '$(am__configure_deps)' in \
  196: 	    *$$dep*) \
  197: 	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign '; \
  198: 	      cd $(srcdir) && $(AUTOMAKE) --foreign  \
  199: 		&& exit 0; \
  200: 	      exit 1;; \
  201: 	  esac; \
  202: 	done; \
  203: 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  Makefile'; \
  204: 	cd $(top_srcdir) && \
  205: 	  $(AUTOMAKE) --foreign  Makefile
  206: .PRECIOUS: Makefile
  207: 
  208: $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  209: 	$(SHELL) ./config.status --recheck
  210: 
  211: $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
  212: 	cd $(srcdir) && $(AUTOCONF)
  213: $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
  214: 	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
  215: install-nobase_includeHEADERS: $(nobase_include_HEADERS)
  216: 	@$(NORMAL_INSTALL)
  217: 	test -z "$(includedir)" || $(MKDIR_P) "$(DESTDIR)$(includedir)"
  218: 	@$(am__vpath_adj_setup) \
  219: 	list='$(nobase_include_HEADERS)'; for p in $$list; do \
  220: 	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
  221: 	  $(am__vpath_adj) \
  222: 	  echo " $(nobase_includeHEADERS_INSTALL) '$$d$$p' '$(DESTDIR)$(includedir)/$$f'"; \
  223: 	  $(nobase_includeHEADERS_INSTALL) "$$d$$p" "$(DESTDIR)$(includedir)/$$f"; \
  224: 	done
  225: 
  226: uninstall-nobase_includeHEADERS:
  227: 	@$(NORMAL_UNINSTALL)
  228: 	@$(am__vpath_adj_setup) \
  229: 	list='$(nobase_include_HEADERS)'; for p in $$list; do \
  230: 	  $(am__vpath_adj) \
  231: 	  echo " rm -f '$(DESTDIR)$(includedir)/$$f'"; \
  232: 	  rm -f "$(DESTDIR)$(includedir)/$$f"; \
  233: 	done
  234: 
  235: # This directory's subdirectories are mostly independent; you can cd
  236: # into them and run `make' without going through this Makefile.
  237: # To change the values of `make' variables: instead of editing Makefiles,
  238: # (1) if the variable is set in `config.status', edit `config.status'
  239: #     (which will cause the Makefiles to be regenerated when you run `make');
  240: # (2) otherwise, pass the desired values on the `make' command line.
  241: $(RECURSIVE_TARGETS):
  242: 	@failcom='exit 1'; \
  243: 	for f in x $$MAKEFLAGS; do \
  244: 	  case $$f in \
  245: 	    *=* | --[!k]*);; \
  246: 	    *k*) failcom='fail=yes';; \
  247: 	  esac; \
  248: 	done; \
  249: 	dot_seen=no; \
  250: 	target=`echo $@ | sed s/-recursive//`; \
  251: 	list='$(SUBDIRS)'; for subdir in $$list; do \
  252: 	  echo "Making $$target in $$subdir"; \
  253: 	  if test "$$subdir" = "."; then \
  254: 	    dot_seen=yes; \
  255: 	    local_target="$$target-am"; \
  256: 	  else \
  257: 	    local_target="$$target"; \
  258: 	  fi; \
  259: 	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
  260: 	  || eval $$failcom; \
  261: 	done; \
  262: 	if test "$$dot_seen" = "no"; then \
  263: 	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
  264: 	fi; test -z "$$fail"
  265: 
  266: $(RECURSIVE_CLEAN_TARGETS):
  267: 	@failcom='exit 1'; \
  268: 	for f in x $$MAKEFLAGS; do \
  269: 	  case $$f in \
  270: 	    *=* | --[!k]*);; \
  271: 	    *k*) failcom='fail=yes';; \
  272: 	  esac; \
  273: 	done; \
  274: 	dot_seen=no; \
  275: 	case "$@" in \
  276: 	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
  277: 	  *) list='$(SUBDIRS)' ;; \
  278: 	esac; \
  279: 	rev=''; for subdir in $$list; do \
  280: 	  if test "$$subdir" = "."; then :; else \
  281: 	    rev="$$subdir $$rev"; \
  282: 	  fi; \
  283: 	done; \
  284: 	rev="$$rev ."; \
  285: 	target=`echo $@ | sed s/-recursive//`; \
  286: 	for subdir in $$rev; do \
  287: 	  echo "Making $$target in $$subdir"; \
  288: 	  if test "$$subdir" = "."; then \
  289: 	    local_target="$$target-am"; \
  290: 	  else \
  291: 	    local_target="$$target"; \
  292: 	  fi; \
  293: 	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
  294: 	  || eval $$failcom; \
  295: 	done && test -z "$$fail"
  296: tags-recursive:
  297: 	list='$(SUBDIRS)'; for subdir in $$list; do \
  298: 	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
  299: 	done
  300: ctags-recursive:
  301: 	list='$(SUBDIRS)'; for subdir in $$list; do \
  302: 	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
  303: 	done
  304: 
  305: ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
  306: 	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
  307: 	unique=`for i in $$list; do \
  308: 	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  309: 	  done | \
  310: 	  $(AWK) '{ files[$$0] = 1; nonemtpy = 1; } \
  311: 	      END { if (nonempty) { for (i in files) print i; }; }'`; \
  312: 	mkid -fID $$unique
  313: tags: TAGS
  314: 
  315: TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
  316: 		$(TAGS_FILES) $(LISP)
  317: 	tags=; \
  318: 	here=`pwd`; \
  319: 	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
  320: 	  include_option=--etags-include; \
  321: 	  empty_fix=.; \
  322: 	else \
  323: 	  include_option=--include; \
  324: 	  empty_fix=; \
  325: 	fi; \
  326: 	list='$(SUBDIRS)'; for subdir in $$list; do \
  327: 	  if test "$$subdir" = .; then :; else \
  328: 	    test ! -f $$subdir/TAGS || \
  329: 	      tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
  330: 	  fi; \
  331: 	done; \
  332: 	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
  333: 	unique=`for i in $$list; do \
  334: 	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  335: 	  done | \
  336: 	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
  337: 	      END { if (nonempty) { for (i in files) print i; }; }'`; \
  338: 	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
  339: 	  test -n "$$unique" || unique=$$empty_fix; \
  340: 	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  341: 	    $$tags $$unique; \
  342: 	fi
  343: ctags: CTAGS
  344: CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
  345: 		$(TAGS_FILES) $(LISP)
  346: 	tags=; \
  347: 	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
  348: 	unique=`for i in $$list; do \
  349: 	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  350: 	  done | \
  351: 	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
  352: 	      END { if (nonempty) { for (i in files) print i; }; }'`; \
  353: 	test -z "$(CTAGS_ARGS)$$tags$$unique" \
  354: 	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  355: 	     $$tags $$unique
  356: 
  357: GTAGS:
  358: 	here=`$(am__cd) $(top_builddir) && pwd` \
  359: 	  && cd $(top_srcdir) \
  360: 	  && gtags -i $(GTAGS_ARGS) $$here
  361: 
  362: distclean-tags:
  363: 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  364: 
  365: distdir: $(DISTFILES)
  366: 	$(am__remove_distdir)
  367: 	test -d $(distdir) || mkdir $(distdir)
  368: 	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  369: 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  370: 	list='$(DISTFILES)'; \
  371: 	  dist_files=`for file in $$list; do echo $$file; done | \
  372: 	  sed -e "s|^$$srcdirstrip/||;t" \
  373: 	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  374: 	case $$dist_files in \
  375: 	  */*) $(MKDIR_P) `echo "$$dist_files" | \
  376: 			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  377: 			   sort -u` ;; \
  378: 	esac; \
  379: 	for file in $$dist_files; do \
  380: 	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  381: 	  if test -d $$d/$$file; then \
  382: 	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  383: 	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  384: 	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
  385: 	    fi; \
  386: 	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
  387: 	  else \
  388: 	    test -f $(distdir)/$$file \
  389: 	    || cp -p $$d/$$file $(distdir)/$$file \
  390: 	    || exit 1; \
  391: 	  fi; \
  392: 	done
  393: 	list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
  394: 	  if test "$$subdir" = .; then :; else \
  395: 	    test -d "$(distdir)/$$subdir" \
  396: 	    || $(MKDIR_P) "$(distdir)/$$subdir" \
  397: 	    || exit 1; \
  398: 	    distdir=`$(am__cd) $(distdir) && pwd`; \
  399: 	    top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
  400: 	    (cd $$subdir && \
  401: 	      $(MAKE) $(AM_MAKEFLAGS) \
  402: 	        top_distdir="$$top_distdir" \
  403: 	        distdir="$$distdir/$$subdir" \
  404: 		am__remove_distdir=: \
  405: 		am__skip_length_check=: \
  406: 	        distdir) \
  407: 	      || exit 1; \
  408: 	  fi; \
  409: 	done
  410: 	-find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
  411: 	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
  412: 	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
  413: 	  ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
  414: 	|| chmod -R a+r $(distdir)
  415: dist-gzip: distdir
  416: 	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
  417: 	$(am__remove_distdir)
  418: 
  419: dist-bzip2: distdir
  420: 	tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
  421: 	$(am__remove_distdir)
  422: 
  423: dist-lzma: distdir
  424: 	tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
  425: 	$(am__remove_distdir)
  426: 
  427: dist-tarZ: distdir
  428: 	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
  429: 	$(am__remove_distdir)
  430: 
  431: dist-shar: distdir
  432: 	shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
  433: 	$(am__remove_distdir)
  434: 
  435: dist-zip: distdir
  436: 	-rm -f $(distdir).zip
  437: 	zip -rq $(distdir).zip $(distdir)
  438: 	$(am__remove_distdir)
  439: 
  440: dist dist-all: distdir
  441: 	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
  442: 	$(am__remove_distdir)
  443: 
  444: # This target untars the dist file and tries a VPATH configuration.  Then
  445: # it guarantees that the distribution is self-contained by making another
  446: # tarfile.
  447: distcheck: dist
  448: 	case '$(DIST_ARCHIVES)' in \
  449: 	*.tar.gz*) \
  450: 	  GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
  451: 	*.tar.bz2*) \
  452: 	  bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
  453: 	*.tar.lzma*) \
  454: 	  unlzma -c $(distdir).tar.lzma | $(am__untar) ;;\
  455: 	*.tar.Z*) \
  456: 	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
  457: 	*.shar.gz*) \
  458: 	  GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
  459: 	*.zip*) \
  460: 	  unzip $(distdir).zip ;;\
  461: 	esac
  462: 	chmod -R a-w $(distdir); chmod a+w $(distdir)
  463: 	mkdir $(distdir)/_build
  464: 	mkdir $(distdir)/_inst
  465: 	chmod a-w $(distdir)
  466: 	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
  467: 	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
  468: 	  && cd $(distdir)/_build \
  469: 	  && ../configure --srcdir=.. --prefix="$$dc_install_base" \
  470: 	    $(DISTCHECK_CONFIGURE_FLAGS) \
  471: 	  && $(MAKE) $(AM_MAKEFLAGS) \
  472: 	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
  473: 	  && $(MAKE) $(AM_MAKEFLAGS) check \
  474: 	  && $(MAKE) $(AM_MAKEFLAGS) install \
  475: 	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
  476: 	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
  477: 	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
  478: 	        distuninstallcheck \
  479: 	  && chmod -R a-w "$$dc_install_base" \
  480: 	  && ({ \
  481: 	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
  482: 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
  483: 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
  484: 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
  485: 	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
  486: 	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
  487: 	  && rm -rf "$$dc_destdir" \
  488: 	  && $(MAKE) $(AM_MAKEFLAGS) dist \
  489: 	  && rm -rf $(DIST_ARCHIVES) \
  490: 	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
  491: 	$(am__remove_distdir)
  492: 	@(echo "$(distdir) archives ready for distribution: "; \
  493: 	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
  494: 	  sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
  495: distuninstallcheck:
  496: 	@cd $(distuninstallcheck_dir) \
  497: 	&& test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
  498: 	   || { echo "ERROR: files left after uninstall:" ; \
  499: 	        if test -n "$(DESTDIR)"; then \
  500: 	          echo "  (check DESTDIR support)"; \
  501: 	        fi ; \
  502: 	        $(distuninstallcheck_listfiles) ; \
  503: 	        exit 1; } >&2
  504: distcleancheck: distclean
  505: 	@if test '$(srcdir)' = . ; then \
  506: 	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
  507: 	  exit 1 ; \
  508: 	fi
  509: 	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
  510: 	  || { echo "ERROR: files left in build directory after distclean:" ; \
  511: 	       $(distcleancheck_listfiles) ; \
  512: 	       exit 1; } >&2
  513: check-am: all-am
  514: check: check-recursive
  515: all-am: Makefile $(HEADERS)
  516: installdirs: installdirs-recursive
  517: installdirs-am:
  518: 	for dir in "$(DESTDIR)$(includedir)"; do \
  519: 	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
  520: 	done
  521: install: install-recursive
  522: install-exec: install-exec-recursive
  523: install-data: install-data-recursive
  524: uninstall: uninstall-recursive
  525: 
  526: install-am: all-am
  527: 	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  528: 
  529: installcheck: installcheck-recursive
  530: install-strip:
  531: 	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  532: 	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  533: 	  `test -z '$(STRIP)' || \
  534: 	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
  535: mostlyclean-generic:
  536: 
  537: clean-generic:
  538: 
  539: distclean-generic:
  540: 	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  541: 
  542: maintainer-clean-generic:
  543: 	@echo "This command is intended for maintainers to use"
  544: 	@echo "it deletes files that may require special tools to rebuild."
  545: clean: clean-recursive
  546: 
  547: clean-am: clean-generic mostlyclean-am
  548: 
  549: distclean: distclean-recursive
  550: 	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
  551: 	-rm -f Makefile
  552: distclean-am: clean-am distclean-generic distclean-tags
  553: 
  554: dvi: dvi-recursive
  555: 
  556: dvi-am:
  557: 
  558: html: html-recursive
  559: 
  560: info: info-recursive
  561: 
  562: info-am:
  563: 
  564: install-data-am: install-nobase_includeHEADERS
  565: 
  566: install-dvi: install-dvi-recursive
  567: 
  568: install-exec-am:
  569: 
  570: install-html: install-html-recursive
  571: 
  572: install-info: install-info-recursive
  573: 
  574: install-man:
  575: 
  576: install-pdf: install-pdf-recursive
  577: 
  578: install-ps: install-ps-recursive
  579: 
  580: installcheck-am:
  581: 
  582: maintainer-clean: maintainer-clean-recursive
  583: 	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
  584: 	-rm -rf $(top_srcdir)/autom4te.cache
  585: 	-rm -f Makefile
  586: maintainer-clean-am: distclean-am maintainer-clean-generic
  587: 
  588: mostlyclean: mostlyclean-recursive
  589: 
  590: mostlyclean-am: mostlyclean-generic
  591: 
  592: pdf: pdf-recursive
  593: 
  594: pdf-am:
  595: 
  596: ps: ps-recursive
  597: 
  598: ps-am:
  599: 
  600: uninstall-am: uninstall-nobase_includeHEADERS
  601: 
  602: .MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) install-am \
  603: 	install-strip
  604: 
  605: .PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
  606: 	all all-am am--refresh check check-am clean clean-generic \
  607: 	ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
  608: 	dist-lzma dist-shar dist-tarZ dist-zip distcheck distclean \
  609: 	distclean-generic distclean-tags distcleancheck distdir \
  610: 	distuninstallcheck dvi dvi-am html html-am info info-am \
  611: 	install install-am install-data install-data-am install-dvi \
  612: 	install-dvi-am install-exec install-exec-am install-html \
  613: 	install-html-am install-info install-info-am install-man \
  614: 	install-nobase_includeHEADERS install-pdf install-pdf-am \
  615: 	install-ps install-ps-am install-strip installcheck \
  616: 	installcheck-am installdirs installdirs-am maintainer-clean \
  617: 	maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
  618: 	pdf-am ps ps-am tags tags-recursive uninstall uninstall-am \
  619: 	uninstall-nobase_includeHEADERS
  620: 
  621: 
  622: #
  623: # automake adds dependencies that we don't like, so we explicitly remove them
  624: #
  625: Makefile:
  626: # Tell versions [3.59,3.63) of GNU make to not export all variables.
  627: # Otherwise a system limit (for SysV at least) may be exceeded.
  628: .NOEXPORT:

FreeBSD-CVSweb <freebsd-cvsweb@FreeBSD.org>